Show / Hide Table of Contents

# Class PlayerPayload

An SeString Payload representing a player link.

##### Inheritance

System.Object
Payload
PlayerPayload

##### Inherited Members

Payload.Dirty
Payload.DataResolver
Payload.Encode(Boolean)
Payload.Decode(BinaryReader, DataManager)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(UInt32, Boolean, Boolean)
Payload.GetMarkerForIntegerBytes(Byte[])
Payload.GetMarkerForPackedIntegerBytes(Byte[])
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32, Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class PlayerPayload : Payload

### Constructors

| Improve this Doc View Source

#### PlayerPayload(DataManager, String, UInt32)

Create a PlayerPayload link for the specified player.

##### Declaration

    public PlayerPayload(DataManager data, string playerName, uint serverId)

##### Parameters

Type | Name | Description
--- | --- | ---
DataManager | data | DataManager instance needed to resolve game data.
System.String | playerName | The player's displayed name.
System.UInt32 | serverId | The player's home server id.

### Properties

| Improve this Doc View Source

#### DisplayedName

A text representation of this player link matching how it might appear in-game. The world name will always be present.

##### Declaration

    [JsonIgnore]
    public string DisplayedName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### PlayerName

The player's displayed name. This does not contain the server name.

##### Declaration

    [JsonIgnore]
    public string PlayerName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Type

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type
| Improve this Doc View Source

#### World

The Lumina object representing the player's home server.

##### Declaration

    [JsonIgnore]
    public World World { get; }

##### Property Value

Type | Description
--- | ---
Lumina.Excel.GeneratedSheets.World |

##### Remarks

Value is evaluated lazily and cached.

### Methods

| Improve this Doc View Source

#### DecodeImpl(BinaryReader, Int64)

##### Declaration

    protected override void DecodeImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |
System.Int64 | endOfStream |

##### Overrides

Payload.DecodeImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### EncodeImpl()

##### Declaration

    protected override byte[] EncodeImpl()

##### Returns

Type | Description
--- | ---
System.Byte[] |

##### Overrides

Payload.EncodeImpl()
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()